/*
 * The main function and everything related to starting the application
 */

#include <stdio.h>
#include <unistd.h>
#include <pthread.h>

#include "inc-gen/system.h"
#include "inc/Gamepad.h"
#include "inc/PWM.h"

int main(int argc, char* argv[]) {
    // init the system
    initialize_system();

    // start a gamepad thread
    pthread_t pt_gamepad;
    pthread_create(&pt_gamepad, NULL, gp_worker, NULL);

    // start a rover thread
    pthread_t pt_pwm;
    pthread_create(&pt_pwm, NULL, pwm_worker, NULL);

    // run endlessly
    while(1) {
        run_system();
        usleep(50000);
    }
}
